CVE-2003-0932
CVSS4.6
发布时间 :2003-12-15 00:00:00
修订时间 :2008-09-10 15:20:56
NMCOS    

[原文]Buffer overflow in omega-rpg 0.90 allows local users to execute arbitrary code via a long (1) command line or (2) environment variable.


[CNNVD]Omega-RPG缓冲区溢出漏洞(CNNVD-200312-057)

        
        omega-rpg是一款LINUX下的游戏程序。
        omega-rpg没有正确处理环境变量参数,本地攻击者可以利用这个漏洞进行缓冲区溢出攻击。
        攻击者提供包含超长环境变量,并执行omega-rpg,可触发缓冲区溢出,精心构建环境变量参数,可能以game组权限在系统上执行任意指令。
        

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-0932
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-0932
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200312-057
(官方数据源) CNNVD

- 其它链接及资源

http://www.debian.org/security/2003/dsa-400
(VENDOR_ADVISORY)  DEBIAN  DSA-400

- 漏洞信息

Omega-RPG缓冲区溢出漏洞
中危 边界条件错误
2003-12-15 00:00:00 2005-10-20 00:00:00
本地  
        
        omega-rpg是一款LINUX下的游戏程序。
        omega-rpg没有正确处理环境变量参数,本地攻击者可以利用这个漏洞进行缓冲区溢出攻击。
        攻击者提供包含超长环境变量,并执行omega-rpg,可触发缓冲区溢出,精心构建环境变量参数,可能以game组权限在系统上执行任意指令。
        

- 公告与补丁

        厂商补丁:
        Debian
        ------
        Debian已经为此发布了一个安全公告(DSA-400-1)以及相应补丁:
        DSA-400-1:New omega-rpg packages fix local games exploit
        链接:
        http://www.debian.org/security/2003/dsa-400

        补丁下载:
        Source archives:
        
        http://security.debian.org/pool/updates/main/o/omega-rpg/omega-rpg_0.90-pa9-7woody1.dsc

        Size/MD5 checksum: 616 ec09d79e6db8d2a26b2419118c82b6d9
        
        http://security.debian.org/pool/updates/main/o/omega-rpg/omega-rpg_0.90-pa9-7woody1.diff.gz

        Size/MD5 checksum: 9264 9a1c91a88685a9a3ebbd3d303d9af458
        
        http://security.debian.org/pool/updates/main/o/omega-rpg/omega-rpg_0.90-pa9.orig.tar.gz

        Size/MD5 checksum: 425670 decf9c9c5e217a243d87c5693069016f
        Alpha architecture:
        
        http://security.debian.org/pool/updates/main/o/omega-rpg/omega-rpg_0.90-pa9-7woody1_alpha.deb

        Size/MD5 checksum: 433086 e0b2fab139c48fd165856261346509ea
        ARM architecture:
        
        http://security.debian.org/pool/updates/main/o/omega-rpg/omega-rpg_0.90-pa9-7woody1_arm.deb

        Size/MD5 checksum: 329224 8821937e31ffdeb13ca7707be44f2ee2
        Intel IA-32 architecture:
        
        http://security.debian.org/pool/updates/main/o/omega-rpg/omega-rpg_0.90-pa9-7woody1_i386.deb

        Size/MD5 checksum: 313176 5f6e8d376c2dcf9eec749a6589410090
        Intel IA-64 architecture:
        
        http://security.debian.org/pool/updates/main/o/omega-rpg/omega-rpg_0.90-pa9-7woody1_ia64.deb

        Size/MD5 checksum: 499828 aa1d2895cf9bf64ee15e4632286f819c
        HP Precision architecture:
        
        http://security.debian.org/pool/updates/main/o/omega-rpg/omega-rpg_0.90-pa9-7woody1_hppa.deb

        Size/MD5 checksum: 367390 bf3008b562d94d34af03cbcecc90e99f
        Motorola 680x0 architecture:
        
        http://security.debian.org/pool/updates/main/o/omega-rpg/omega-rpg_0.90-pa9-7woody1_m68k.deb

        Size/MD5 checksum: 295016 70d31cc87a332a44155ef356ad8e41b5
        Big endian MIPS architecture:
        
        http://security.debian.org/pool/updates/main/o/omega-rpg/omega-rpg_0.90-pa9-7woody1_mips.deb

        Size/MD5 checksum: 373454 39d6c1c8570fe8aae62a9c7e1c970c6a
        Little endian MIPS architecture:
        
        http://security.debian.org/pool/updates/main/o/omega-rpg/omega-rpg_0.90-pa9-7woody1_mipsel.deb

        Size/MD5 checksum: 372138 c21602808847f8edf799d7ee4e562899
        PowerPC architecture:
        
        http://security.debian.org/pool/updates/main/o/omega-rpg/omega-rpg_0.90-pa9-7woody1_powerpc.deb

        Size/MD5 checksum: 355306 3b6e082c0568bc3e090b017d1366bf97
        IBM S/390 architecture:
        
        http://security.debian.org/pool/updates/main/o/omega-rpg/omega-rpg_0.90-pa9-7woody1_s390.deb

        Size/MD5 checksum: 330438 90c057f921d7861f3a511b684d22a630
        Sun Sparc architecture:
        
        http://security.debian.org/pool/updates/main/o/omega-rpg/omega-rpg_0.90-pa9-7woody1_sparc.deb

        Size/MD5 checksum: 347386 40762ef4e8f790f1260c7c84bfd24809
        补丁安装方法:
        1. 手工安装补丁包:
         首先,使用下面的命令来下载补丁软件:
         # wget url (url是补丁下载链接地址)
         然后,使用下面的命令来安装补丁:
         # dpkg -i file.deb (file是相应的补丁名)
        2. 使用apt-get自动安装补丁包:
         首先,使用下面的命令更新内部数据库:
         # apt-get update
        
         然后,使用下面的命令安装更新软件包:
         # apt-get upgrade

- 漏洞信息

8774
omega-rpg CLI Multiple Variable Local Overflow
Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2003-11-11 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Omega-RPG Environment Variable Buffer Overrun Vulnerability
Boundary Condition Error 9016
No Yes
2003-11-11 12:00:00 2009-07-12 12:56:00
Discovery is credited to Steve Kemp.

- 受影响的程序版本

omega-rpg omega-rpg 0.9 0-pa9
- Debian Linux 3.0

- 漏洞讨论

omega-rpg is prone to a locally exploitable buffer overrun. This is due to insufficient bounds checking of environment variables and may allow for execution of arbitrary code in the context of group 'games'.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

Debian has released an advisory (DSA 400-1) that includes updates to address this issue. Please see the attached advisory for details on obtaining and applying fixes.


omega-rpg omega-rpg 0.9 0-pa9

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站